diff -Naur httpd-2.2.22.orig/build/mkdir.sh httpd-2.2.22/build/mkdir.sh
--- httpd-2.2.22.orig/build/mkdir.sh	2012-06-29 16:32:47.000000000 -0400
+++ httpd-2.2.22/build/mkdir.sh	2012-06-29 16:34:17.000000000 -0400
@@ -39,7 +39,7 @@
         esac
         if test ! -d "$pathcomp"; then
             echo "mkdir $pathcomp" 1>&2
-            mkdir "$pathcomp" || errstatus=$?
+            mkdir -p "$pathcomp" || errstatus=$?
         fi
         pathcomp="$pathcomp/"
     done
